Bug 855239 - yum-builddep exits prematurely if any queried rpm has no builddeps
yum-builddep exits prematurely if any queried rpm has no builddeps
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 00:44 EDT by Bill Nottingham
Modified: 2014-03-16 23:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-25 16:36:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2012-09-07 00:44:25 EDT
Description of problem:

Example:
[root@nostromo ~]# yum-builddep gnome-shell
<tries to install a bunch of stuff>
[root@nostromo ~]# yum-builddep gnome-shell xz
Getting requirements for xz-5.1.2-1alpha.fc17.src
No uninstalled build requires

Version-Release number of selected component (if applicable):

yum-utils-1.1.31-4.fc17.noarch

How reproducible:

100%

Additional info:

Also happens in F18.
Comment 1 Panu Matilainen 2012-09-07 01:23:11 EDT
Uff. It's not just that either - when given more than one package name or src.rpm, it only installs the build requires of the first one.
Comment 3 Fedora Update System 2013-01-17 06:21:15 EST
yum-utils-1.1.31-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yum-utils-1.1.31-7.fc18
Comment 4 Fedora Update System 2013-01-19 22:25:46 EST
Package yum-utils-1.1.31-7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-utils-1.1.31-7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1128/yum-utils-1.1.31-7.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-01-25 16:36:37 EST
yum-utils-1.1.31-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.